html,
body {
  box-sizing: border-box;
  font-family: Arial;
  font-size: 12px;
}

html {
  padding: 0;
  margin: 0;
  background: lightgrey;
  width: 100%;
  height: 100%;
}

body {
  padding: 10px;
  margin: 0;
  background-color: white;
  color: black;
  width: 100%;
  height: auto;
  min-height: 100%;
  position: relative;
}

.common-page-container {
  padding-bottom: 40px;
}

.hint {
  display: block;
  color: grey;
  font-size: 11px;
  margin-top: 2px;
}

.svg-preview {
  display: inline-block;
  max-width: 200px;
  max-height: 120px;
  margin-top: 6px;
  padding: 4px;
  border: 1px solid lightgrey;
  background: white;
}

.svg-preview svg {
  width: auto;
  height: 110px;
  max-width: 100%;
}

#appState {
  position: absolute;
  bottom: 10px;
  right: 10px;
  font-size: 10px;
}

/*  Global Loader */

#loader-container {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: rgb(0 0 0 / 50%);
}

#loader-inner {
  position: relative;
  width: 100%;
  text-align: center;
  top: 50vh;
  margin-left: -25px;
  margin-top: -25px;
  color: white;
}

#loader {
  display: inline-block;
  width: 50px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 8px solid;
  border-color: #fff #0000;
  animation: l1 1s infinite;
}

@keyframes l1 {
  to {
    transform: rotate(0.5turn);
  }
}

#loader-label {
  padding: 5px;
}

.form-notification-error {
  color: red;
}

.header-bar {
  display: block;
}
ul.header-menu {
  display: inline-block;
  margin: 0;
  padding: 0;
}
ul.header-menu li {
  display: inline-block;
  margin: 0;
  padding: 0 7px 0 0;
}
ul.header-user-info {
  float: right;
  display: inline-block;
  margin: 0;
  padding: 0;
}
ul.header-user-info li{
  display: inline-block;
  margin: 0;
  padding: 0 0 0 7px;
}

table, table tr, table tr td, table tr th {
  border: 1px solid #ddd;
}

table.l-a {
  text-align: left;
}

table.l-a td, table.l-a th {
  padding: 2px 5px;
}

table.t-a tr {
  vertical-align: top;
}

pre {
  text-wrap: auto;
  overflow-wrap: break-word;
}

.paginator-pages,
.paginator-limits {
  display: inline-block;
  magrin: 0;
  padding: 0;
}

.paginator-pages li,
.paginator-limits li {
  display: inline-block;
  magrin: 2px 3px;
  padding: 0;
}

.paginator-pages li a.na,
.paginator-limits li a.na {
  pointer-events: none;
  color: grey;
  text-decoration: none;
}

.paginator-limits {
  float: right;
}

fieldset {
  margin: 10px 0;
}

table.form-fieldset tr td {
  vertical-align: top;
}

.submenu {
  display: block;
  margin: 0;
  padding: 0 0 20px 0;
}

.submenu li {
  display: inline-block;
  margin: 0;
  padding: 0 5px 0 0;
}

.submenu li a {
  display: inline-block;
  margin: 0;
  padding: 5px 15px;
  border-radius: 15px;
  border: 1px solid black;
  cursor: pointer;
}

.submenu li a:hover {
  background: #eee;
}


